Evri Blogger Widget

we are an infinite loop

Pacat ca ma grabesc. [Too bad I'm in a hurry.] A blog about computational design, generative art, geometry, math, architecture and the means employed to materialize these forms of expression. It's an ongoing chronicle of my personal research in this field and an information pool for curious minds. Without fancy words, it's a haha place for me. Not topic oriented, more or less it is flow oriented.

Sep 27, 2007

Scriptin towards outerspace

Double curvature surfaces, faceted:


Some easy scriptin did that:

Option Explicit

SurfaceFaceting()

Sub SurfaceFaceting()
Dim strSurf : strSurf = Rhino.GetObject("Select surface to facet", 8, True, True)
If IsNull(strSurf) Then Exit Sub

Dim intDetailLevel : intDetailLevel = Rhino.GetInteger("Detail level", 40, 2)
If IsNull(intDetailLevel) Then Exit Sub

Dim dbl

Dim uDomain : uDomain = Rhino.SurfaceDomain(strSurf, 0)
Dim uStep : uStep = (uDomain(1) - uDomain(0))/intDetailLevel

Dim vDomain : vDomain = Rhino.SurfaceDomain(strSurf, 1)
Dim vStep : vStep = (vDomain(1) - vDomain(0))/intDetailLevel

Dim u, v, strFrame, pt

Call Rhino.EnableRedraw(False)
For u = uDomain(0) To uDomain(1) Step uStep
For v = vDomain(0) To vDomain(1) Step vStep
pt = Rhino.EvaluateSurface(strSurf, Array(u,v))
strFrame = Rhino.SurfaceFrame(strSurf, Array(u,v))
Call Rhino.AddPlaneSurface(strFrame, 1, 1)
Next
Next
Call Rhino.EnableRedraw(True)

End Sub

Sep 22, 2007

Deedee is playin'




deconstructing a sphere a la bruno zevi :) or not.

Sep 17, 2007

Present business

Inspired by the very many, sjet and others I am now really working up on RhinoScript, in use with Rhino.

Well, because architecture isn't just what we are taught at school. And math is good.

Cine e porcaria asta?

Free Web Counter